--- nmh-1.5-release.orig/debian/compat
+++ nmh-1.5-release/debian/compat
@@ -0,0 +1 @@
+8
--- nmh-1.5-release.orig/debian/nmh.docs
+++ nmh-1.5-release/debian/nmh.docs
@@ -0,0 +1,4 @@
+NEWS
+README
+debian/README.source
+
--- nmh-1.5-release.orig/debian/nmh.links
+++ nmh-1.5-release/debian/nmh.links
@@ -0,0 +1,3 @@
+usr/share/man/man1/folder.1.gz usr/share/man/man1/folders.1.gz
+usr/share/man/man1/flist.1.gz usr/share/man/man1/flists.1.gz
+usr/share/man/man7/nmh.7.gz usr/share/man/man7/mh.7.gz
--- nmh-1.5-release.orig/debian/control
+++ nmh-1.5-release/debian/control
@@ -0,0 +1,33 @@
+Source: nmh
+Section: debathena-system/mail
+Priority: optional
+Maintainer: Nick Rusnov <nickrusnov@debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 8.0.0), dpatch, libncurses5-dev, liblockfile-dev (>= 1.01), libsasl2-dev, libdb-dev, flex, libssl-dev
+
+Package: nmh
+Architecture: any
+Depends: ${shlibs:Depends}, netbase (>= 3.16-1), ${misc:Depends}
+Provides: mail-reader, mh, debathena-nmh
+Recommends: default-mta | mail-transport-agent
+Suggests: exmh, mh-e, mh-book
+Conflicts: mh
+Replaces: mh
+Description: set of electronic mail handling programs
+ This is the nmh mail user agent (reader/sender), a command-line based mail
+ reader that is powerful and extensible.  nmh is an excellent choice for
+ people who receive and process a lot of mail.
+ .
+ Unlike most mail user agents, nmh is not a single program, rather it is a
+ set of programs that are run from the shell.  This allows the user to
+ utilize the full power of the Unix shell in coordination with nmh.  Various
+ front-ends are available, such as mh-e (an emacs mode), xmh, and exmh (X11
+ clients).
+ .
+ nmh was originally based on MH version 6.8.3, and is intended to be a
+ (mostly) compatible drop-in replacement for MH.
+ .
+ This package was rebuilt for the Debathena project. It adds a patch
+ to to avoid losing mail if close() fails (as it can in AFS if you run
+ over quota) when writing mailbox files, and a patch to wrap output
+ from MIME mail in a pager.
--- nmh-1.5-release.orig/debian/changelog
+++ nmh-1.5-release/debian/changelog
@@ -0,0 +1,615 @@
+nmh (1.5-release-0.2debathena2) unstable; urgency=low
+
+  * Wrap as much output from MIME mail in the moreproc as possible.
+  * Provide debathena-nmh.
+
+ -- System T. Builder <builder@zulu.mit.edu>  Fri, 17 Aug 2012 08:18:28 -0400
+
+nmh (1.5-release-0.2) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * fix FTBFS on s390x (problem with base64 decoder on 64-bit, big-endian archs)
+  * updated rules and includes to clear up buildd warnings
+
+ -- Alexander Zangerl <az@debian.org>  Thu, 14 Jun 2012 11:31:55 +1000
+
+nmh (1.5-release-0.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * New upstream release.
+  * fixed FTBFS on hurd (MAXPATHLEN issue)
+  * added support for hardening to debian/rules
+
+ -- Alexander Zangerl <az@debian.org>  Tue, 12 Jun 2012 21:10:16 +1000
+
+nmh (1.5-RC3-0.2) unstable; urgency=high
+
+  * Non-maintainer upload
+  * fixed FTBFS: test suite needed some changes to work on buildds 
+    without /dev/tty and stdin not connected to tty
+  * fixed FTBFS: was built against old libdb (closes: #676891)
+
+ -- Alexander Zangerl <az@debian.org>  Sun, 10 Jun 2012 22:19:46 +1000
+
+nmh (1.5-RC3-0.1) unstable; urgency=low
+
+  * Non-maintainer upload, maintainer seems MIA. 
+    I plan to either co-maintain or take over, this is 
+    a band-aid so that wheezy can ship with a useful version.
+  * Lifted standards version, updated dependencies, added watch file
+    (closes: #645022)
+  * Provide new mhn.defaults that uses run-mailcap (closes: #646842)
+  * New upstream release (closes: #186412, #588160, #344182, #655047,
+    #535742, #184606, #135972,  #188750) 
+  * updated documentation, updated config options to reflect new and removed 
+    capabilities (+tls, -masquerade)
+  * cleaned up rules, incorporated upstream test suite
+  * old mh-e compatibility links in /usr/lib/mh removed
+
+ -- Alexander Zangerl <az@debian.org>  Sun, 10 Jun 2012 15:36:48 +1000
+
+nmh (1.3-1) unstable; urgency=low
+
+  * New upstream versions (Closes: #484039)
+  * Updating patch set:
+    + Merge 01-manpages-sections-fix-194349 03-manpages-sections-fix-261089 
+    into 01-manpage-sections-omnibus
+    + Remove 04-fix-64bit-issues-399271 (applied upstream)
+    + Remove 05-segfault-399271 (upstraem fixed issue)
+  * Upstream reports that segfaults caused by peculiar mailboxes in inc
+    has been fixed. (Closes: #359167)
+  * Specify explicit sendmail path (FHS path: /usr/sbin/sendmail) on 
+    build (Closes: #459075)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Tue, 26 May 2009 10:57:07 -0700
+
+nmh (1.2-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Build with unversioned libdb-dev. (Closes: #517283).
+
+ -- Barry deFreese <bdefreese@debian.org>  Thu, 16 Apr 2009 21:44:33 -0400
+
+nmh (1.2-3) unstable; urgency=low
+
+  * Apply patches from #399271 by Dean Gaudet.
+    + 04-fix-64bit-issues-399271 fixes warnings
+      on architectures where sizeof(int) != 
+      sizeof(void *) such as AMD64.
+    + 05-segfault-399271 fixes segfaults
+      caused by gcc optimizing away NULL tests
+      (Closes: #399271, #420653, #425638) Thanks
+      to Matt Taggart and Sanjoy Mahajan for
+      testing Dean's fix.
+  
+ -- Nick Rusnov <nickrusnov@debian.org>  Thu, 31 May 2007 10:55:37 -0700
+
+nmh (1.2-1) unstable; urgency=low
+  
+  * New upstream release. (Closes: #344367).
+  * Remove upstream applied patches and fixes:
+	  02-sasl-fix.dpatch
+          04-stdouterr-fflush-261592.dpatch
+          05-crossdir-hardlink-238456.dpatch
+          06-vfork-143485.dpatch
+          07-annotation-277199.dpatch
+          08-flexfix-320090.dpatch
+          09-kpoperror-320069.dpatch
+          10-db4-289506.dpatch
+   * Performance bug in post (upstream #7917) fixed. (Closes: #226825)
+   * mhshow, etc. crash bug fixed upstream. (Closes: #245932)
+   * The vfork debocle is resolved. (Closes: #143485)
+   * The manual page for mh_profile properly describes lowercase
+     environment variables as internal. (Closes: #146449)
+   * Patch from BTS to fix crash when message filename overflows int
+     whon converted applied upstream. (Closes: #202667)
+   * ^^ (Closes: #202669)
+   * Upstream fixed the configure to not break if sendmail isn't
+     available in path, which caused it to be set perminantly to none. 
+     (Closes: #390709) 
+   * Nudge libdb depend to 4.5.
+   * Build with CFLAGS set to -g. (Closes: #335614)
+   * Make a bit of adjustment to the rules to come into compliance
+     with newer debhelper. Also bump debhelper compat to 4
+     (Closes: #393322)
+   * Install upstream ChangeLog.
+   * Update docs list. Remove ancient changelogs from being installed,
+     install new READMEs.
+   * Delete conffile list. Let dh_conffiles figure things out.
+   * Updated copyright file.
+  
+ -- Nick Rusnov <nickrusnov@debian.org>  Wed,  1 Nov 2006 22:20:57 -0800 
+	
+nmh (1.1-release-4) unstable; urgency=low
+
+  * patches/07-annotation-277199.dpatch: Slight modification
+    to fix annotation as per upstream. Submitted by Norman Ramsey.
+    (Closes: 277199).
+  * patches/08-flexfix-320090.dpatch: Slight change to makefile
+    in sbr to properly generate dtimep.c with flex. (Closes: #320090)
+  * patches/09-kpoperror-320069.dpatch: Fixes error message when
+    kpop is not compiled in (as it isn't). (Closes: #320069)
+  * Changed rules file to manually delete sbr/dtimep.c in clean target.
+  * Nudge libdb depends to 4.2
+  * patches/10-db4-289506.dpatch: Hardcode in includes for db4 (as db.h)
+    and modify the Makefile.in to link this library directly (so as to
+    not have to worry about breaking configure and whatnot which seems 
+    all copacetic aside from this). (Closes: #289506)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Wed, 24 Aug 2005 15:24:07 -0700
+
+nmh (1.1-release-3) unstable; urgency=low
+
+  * patches/04-stdouterr-fflush-261592.dpatch: Check error value
+    of stdout writes to catch piping errors and what not. (Closes: #261592)
+    + fflush before checking error in replsbr.c.
+    + Thanks to Harald Geyer for this patch.
+  * patches/05-crossdir-hardlink-238456.dpatch: Remove the creation
+    of the only cross-dir hardlink in nmh, which was surely the cause of
+    upgrade problmes if /usr/ and /usr/lib are on different partitions.
+    I'm not bothering to replace the link. You can find this file in
+    /usr/bin/mh. (Closes: 238456)
+  * patches/06-vfork-143485.dpatch: Alias vfork to fork on Linux systems
+    as it has been suggested that the incorrect error message in #143485
+    is caused by the misuse of vfork.
+    + Thanks to Harald Geyer again for this one.
+     
+ -- Nick Rusnov <nickrusnov@debian.org>  Thu,  5 Aug 2004 10:10:33 -0700
+
+nmh (1.1-release-2) unstable; urgency=low
+
+  * This is a trivial fix to the manpage sections problem to keep it
+    from mocking me further. Die die die. But one wonders how long
+    has this problem been lurking, and why nobody noticed it before?
+    (Closes: #261089)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Fri, 23 Jul 2004 10:13:29 -0700
+
+nmh (1.1-release-1) unstable; urgency=low
+
+  * New upstream release (1.1). (Closes: #223310)
+    + Upstream merged most debian package patches.
+    + See upstream changelog for other fixes and changes.
+  * Using dpatch to manage debian patches now.
+  * Reverted krb4 support. Will re-enable when both krb and apop
+    versions can be build at the same time. (Closes: #204597)
+  * Now Depend on sasl2-dev.
+  * patches/02-sasl-fix.dpatch: build with proper sasl2 includes.
+  * patches/01-manpages-sections-fix-194349.dpatch : ensure that
+    the proper manpages go into section 7.
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Mon,  1 Mar 2004 14:43:28 -0800
+
+nmh (1.1-RC1-3) unstable; urgency=low
+
+  * Enabled krb4 support. Some hacking in configure.in. (Closes: #135976)
+  * Removed full stop from shortdesc.
+  * Updated standards to version 3.5.10.
+  * Added bash_completions script by Wade Richards. (Closes: #197873)
+  * Fixed duplicate conffile.
+ 
+ -- Nick Rusnov <nickrusnov@debian.org>  Fri, 20 Jun 2003 09:31:54 -0700
+  
+nmh (1.1-RC1-2) unstable; urgency=low
+  
+  * Re-updated config.guess from latest autotools. Should close
+    #194537 but I will close on a good hppa build.
+  * Applied patch from old package nmh to move nmh and mh-format 
+    manpages to section 7 in the manual. This incidently fixes the 
+    dangling symlink to mh.7 (Closes: #194349)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Tue, 27 May 2003 09:23:37 -0700
+
+nmh (1.1-RC1-1) unstable; urgency=low
+
+  * Taking over from the old maintainer. (Closes: #192654)
+  * New Upstream version. (Closes: #168099)
+  * Made a solid fix for all the libdb stuff (compile with correct
+    libraries and headers). (Closes: #155968, #155852, #156020, #156150, #165297)
+  * Applied patch to allow Content-Transfer-Encoding: binary. (Closes: #136976)
+  * Applied fix for mh-format.man. (Closes: #143427)
+  * Applied patch to make slocal work as documented. (Closes: #149745)
+  * Adjusted the constants in mts/smtp/smtp.c to comply with the SHOULDs
+    in RFC 1123. (Closes: 152728)
+  * Changed default MTS method to sendmail from smtp in debian/rules (Closes: #152729)
+  * Changed scan.default to use five digits for message numbers. (Closes: #182503)
+  * Applied patch to enable draft_from masquerading in spost. (Closes: #144098)
+  * Applied typo fix to nmh.man. (Closes: #181867)
+  * Added some useful suggests:. (Closes: #171307)
+
+ -- Nick Rusnov <nickrusnov@debian.org>  Tue, 20 May 2003 15:12:59 -0700
+
+nmh (1.0.4+dev-20010317-1.1) unstable; urgency=low
+
+  * Non Maintainer Upload
+  * Compiled with libdb2 
+    (Closes: #155968, #155852, #156020, #156150, #165297)
+
+ -- Julien LEMOINE <speedblue@debian.org>  Sun, 16 Mar 2003 16:53:27 +0100
+
+nmh (1.0.4+dev-20010317-1) unstable; urgency=low
+
+  * Update to the latest CVS snapshot which I have marked 20010317, because
+    the most recent commits were made on the March 17, 2001.
+  * Bring up to par with Debian Policy 3.5.6.
+  * Fix sbr/mts.c so that it discards trailing whitespace from values when
+    reading mts.conf.  (closes: Bug#112505)
+  * Applied patch submitted by Colin Watson <cjw44@flatline.org.uk> that
+    fixed a bug in the forw(1) and mhstore(1) man pages which caused groff
+    to eat a line.  (closes: Bug#90286)
+  * The original patch to man/Makefile.in which moved the mh-chart and nmh
+    man pages from section one to seven was inadequate, but it has now been
+    fixed.
+  * Provide a symbolic link for the nmh(7) man page so that it is
+    accessible as mh(7) too.  (closes: Bug#100482)
+  * Fix the S1G bug in sbr/fmt_scan.c.
+  * Make /etc/nmh/rcvdistcomps.outbox a conffile.
+  * Install mh_profile(5) as a symbolic link to mh-profile(5), not a hard
+    link.
+  * New package maintainer.  My thanks to the previous maintainer, Ruud de
+    Rooij, for all his work.
+
+ -- Doug Porter <dsp@debian.org>  Sat, 10 Nov 2001 13:03:30 -0500
+
+nmh (1.0.4+dev-20010115-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Moved nmh and mh-chart man pages to section 7 (closes: #82370).
+  * Changed configure.in so that it detects libdb1.
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon, 15 Jan 2001 14:14:04 -0600
+
+nmh (1.0.4+dev-20000926-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Enabled SASL support.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 26 Sep 2000 21:43:22 +0200
+
+nmh (1.0.4+dev-20000807-1) unstable; urgency=low
+
+  * New upstream CVS snapshot (fixes: #66460, #67797).
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon,  7 Aug 2000 19:44:06 +0200
+
+nmh (1.0.4+dev-20000612-1) unstable; urgency=low
+
+  * New upstream CVS snapshot (closes: #61877).
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon, 12 Jun 2000 20:35:18 +0200
+
+nmh (1.0.4+dev-20000607-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Added versioned dependency on netbase for "pop3" service entry.
+  * Added versioned dependency on base-files for /var/mail location.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed,  7 Jun 2000 18:50:40 +0200
+
+nmh (1.0.4-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri, 21 Apr 2000 15:39:20 +0200
+
+nmh (1.0.2-7) frozen unstable; urgency=high
+
+  * Added `flex' to Build-Depends (closes: #59741).
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 23 Mar 2000 18:53:17 +0100
+
+nmh (1.0.2-6) frozen unstable; urgency=high
+
+  * Applied patch to fix security hole which allowed untrusted shell
+    code to be executed.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 27 Jan 2000 20:56:15 +0100
+
+nmh (1.0.2-5) unstable; urgency=low
+
+  * Updated Build-Depends (see: #54446).
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 11 Jan 2000 14:14:02 -0600
+
+nmh (1.0.2-4) unstable; urgency=low
+
+  * Standards-Version: 3.1.1.
+  * Recompiled for ncurses 5.
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon,  3 Jan 2000 16:57:50 -0600
+
+nmh (1.0.2-3) unstable; urgency=low
+
+  * Fixed interaction between specifying -cc in profile and -group on 
+    command-line (closes: #52545).
+
+ -- Ruud de Rooij <ruud@debian.org>  Mon, 20 Dec 1999 10:39:27 -0600
+
+nmh (1.0.2-2) unstable; urgency=low
+
+  * Added documentation for -build and -file switches to repl and forw 
+    manpages (patch from Peter Maydell) (closes: #42430).
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu,  2 Dec 1999 20:31:38 +0100
+
+nmh (1.0.2-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri, 29 Oct 1999 16:58:06 +0200
+
+nmh (1.0.1-19991027-1) unstable; urgency=low
+
+  * New upstream snapshot release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed, 27 Oct 1999 09:19:35 +0200
+
+nmh (1.0.1-19990926-1) unstable; urgency=low
+
+  * New upstream CVS snapshot.
+  * Minor cleanup of debian/rules.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun, 26 Sep 1999 13:37:18 +0200
+
+nmh (1.0.1-3) unstable; urgency=low
+
+  * Standards-Version: 3.0.1.
+  * Use value in /etc/mailname as originating domain (closes: #43829).
+  * Minor wording change in copyright file.
+  * Added section about spost to README.Debian.
+  * Added References: header to replcomps and replgroupcomps.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed,  8 Sep 1999 19:42:29 +0200
+
+nmh (1.0.1-2) unstable; urgency=low
+
+  * Fixed show to propagate -file flag properly to mhshow.
+  * Fixed invocations of mkstemp.
+  * Override autoconf detection of /var/mail and use /var/spool/mail for
+    now.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed, 11 Aug 1999 20:51:40 +0200
+
+nmh (1.0.1-1) unstable; urgency=low
+
+  * New upstream release. 
+  * Updated location of upstream archive.
+  * Recompiled for liblockfile 1.0.
+  * inc is no longer installed setgid mail.
+  * Cleaned up debian/rules a bit.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun, 27 Jun 1999 19:48:19 +0200
+
+nmh (1.0-7) unstable; urgency=low
+
+  * Install mhtest in /usr/lib/mh instead of /usr/bin/mh.
+  * Cleaned up debian/rules a bit.
+  * Better fix for spost not finding alias file.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  4 Apr 1999 10:27:05 +0200
+
+nmh (1.0-6) unstable; urgency=low
+
+  * Really fix repl breaking header lines in middle of addresses (previous
+    fix introduced a blank header line in some cases).
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri,  2 Apr 1999 16:21:34 +0200
+
+nmh (1.0-5) unstable; urgency=low
+
+  * Enabled APOP support.
+  * Changed repl to not break header lines in the middle of addresses
+    (closes: #10376).
+  * Install sendfiles in /usr/bin/mh instead of /usr/lib/mh.
+  * Modified sendfiles and mhstore to use gzip instead of compress.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 30 Mar 1999 20:39:21 +0200
+
+nmh (1.0-4) unstable; urgency=low
+
+  * Fixed double fclose() problem in inc (closes: #34346).
+  * Applied patches from Kimmo Suominen:
+    - updated patch for m_getfld.c.
+    - fix packf not putting newline after From_ header.
+    - allow `q' to quit mhshow, and `n' to skip to next part.
+    - allow 8bit encoding for message/* content type.
+  * Recompiled for glibc 2.1.
+  * Modified rcvtty and slocal to use utmp access functions instead of
+    reading utmp file directly.
+  * Modified lock_file.c to use liblockfile for locking the mail spool.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun, 28 Mar 1999 14:11:41 +0200
+
+nmh (1.0-3) unstable; urgency=low
+
+  * Applied fix to m_getfld.c from John Gill.  Should fix inc segmentation
+    fault problem.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sat, 27 Mar 1999 19:19:41 +0100
+
+nmh (1.0-2) unstable; urgency=low
+
+  * Fixed show to propage -file flag to mhshow.
+  * Workaround for spost not finding aliases file (closes: #34190).
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  7 Mar 1999 10:45:26 +0100
+
+nmh (1.0-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  7 Feb 1999 12:24:51 +0100
+
+nmh (0.27-0.28-pre12-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue,  2 Feb 1999 22:03:29 +0100
+
+nmh (0.27-0.28-pre10-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sat, 23 Jan 1999 10:24:04 +0100
+
+nmh (0.27-0.28-pre8-3) frozen unstable; urgency=low
+
+  * Forgot to specify `frozen' in last upload.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  6 Dec 1998 21:01:45 +0100
+
+nmh (0.27-0.28-pre8-2) unstable; urgency=low
+
+  * Recompiled to avoid dependency on libc6 >= 2.0.7u.
+
+ -- Ruud de Rooij <ruud@debian.org>  Sun,  6 Dec 1998 17:00:29 +0100
+
+nmh (0.27-0.28-pre8-1.1) frozen unstable; urgency=low
+
+  * non maintainer, sparc only upload
+  * use db1/ndbm.h with glibc2.1 instead of ndbm.h
+
+ -- Christian Meder <meder@isr.uni-stuttgart.de>  Wed, 25 Nov 1998 13:54:08 +0100
+
+nmh (0.27-0.28-pre8-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 15 Oct 1998 07:47:44 +0200
+
+nmh (0.27-0.28-pre7-1) unstable; urgency=low
+
+  * New upstream release.
+  * Updated exmh section in README.Debian.
+  * Recompiled for ncurses 4.2.
+  * Fixed /etc/nmh/mhn.defaults.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu,  1 Oct 1998 21:12:20 +0200
+
+nmh (0.27-0.28-pre5-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Fri,  4 Sep 1998 18:42:41 +0200
+
+nmh (0.27-0.28-pre4-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Tue, 25 Aug 1998 21:14:12 +0200
+
+nmh (0.27-0.28-pre3-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <ruud@debian.org>  Thu, 20 Aug 1998 09:11:17 +0200
+
+nmh (0.27-0.28-pre2-1) unstable; urgency=low
+
+  * New upstream release, including security fixes.
+  * Security patch no longer included.
+  * Applied patches by Peter Maydell <pmaydell@chiark.greenend.org.uk>:
+    - prevent segmentation fault when ~/.mh_profile doesn't end in a
+      newline.
+    - handle out-of-diskspace situations more gracefully.
+  * Applied patches from OpenBSD (thanks to Topi Miettinen
+    <tom@medialab.sonera.net> for providing them).
+  * Updated README.Debian (closes: #21600, #24687).
+  * tmac.h no longer tagged as a conffile.
+  * Added symbolic links in /usr/lib/mh to avoid confusing mh-e
+    (closes: #24723).
+  * Minor modifications to enable building on Sparc.
+  * Changed priority to optional to match Debian archive.
+  * Changed maintainer e-mail address.
+
+ -- Ruud de Rooij <ruud@debian.org>  Wed,  5 Aug 1998 20:24:35 +0200
+
+nmh (0.26-2) unstable; urgency=high
+
+  * Applied Alan Cox's security patches.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Wed,  3 Jun 1998 21:16:24 +0200
+
+nmh (0.26-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Tue, 26 May 1998 21:49:02 +0200
+
+nmh (0.25-1) unstable; urgency=low
+
+  * New upstream release.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Sat,  9 May 1998 10:57:17 +0200
+
+nmh (0.24-5) frozen unstable; urgency=low
+
+  * Changed metamail dependency from Suggests to Recommends (closes:
+    #21715).
+  * Updated package description to match MH's description.
+  * Added Replaces: mh.
+  * Lintian-clean.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Tue, 21 Apr 1998 15:26:33 +0200
+
+nmh (0.24-4) frozen unstable; urgency=low
+
+  * Updated /etc/nmh/mhn.defaults to use metamail (closes: #21189).
+  * Updated README.Debian.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Fri, 17 Apr 1998 19:34:31 +0200
+
+nmh (0.24-3) unstable; urgency=low
+
+  * New maintainer.
+  * Changed to debhelper.
+  * Made /usr/bin/sensible-{pager,editor} the default.
+
+ -- Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl>  Fri, 10 Apr 1998 15:37:23 +0100
+
+nmh (0.24-2) frozen unstable; urgency=low
+
+  * _really_ enable pop (stupid typo broke last attempt)
+
+ -- Philip Hands <phil@hands.com>  Tue, 31 Mar 1998 18:40:50 +0100
+
+nmh (0.24-1) unstable; urgency=low
+
+  * New upstream release
+  * Made /usr/bin/mh/inc set-group-id mail (closes: #18660)
+  * Enabled POP (closes: #18491)
+  * Fixed file names starting with // in man pages
+  * Uses nmh's own ruserpass so ~/.netrc is read even if running setgid
+    (thanks to Ruud de Rooij <r.c.m.derooij@twi.tudelft.nl> for these
+    patches)
+
+ -- Philip Hands <phil@hands.com>  Mon, 30 Mar 1998 11:33:09 +0100
+
+nmh (0.22-1) unstable; urgency=low
+
+  * New upstream release (closes: #17214)
+  
+ -- Philip Hands <phil@hands.com>  Tue, 17 Feb 1998 11:03:53 +0000
+
+nmh (0.17-1) unstable; urgency=low
+
+  * New upstream release
+  * compile with libc6
+
+ -- Philip Hands <phil@hands.com>  Tue, 19 Aug 1997 11:38:07 +0100
+
+nmh (0.16-1) unstable; urgency=low
+
+  * New upstream release
+  * patched to make use of PAGER & EDITOR envariables
+
+ -- Philip Hands <phil@hands.com>  Sun, 20 Jul 1997 21:26:02 +0100
+
+nmh (0.14-1) experimental; urgency=low
+
+  * Initial Release.
+
+ -- Philip Hands <phil@hands.com>  Wed, 21 May 1997 17:54:23 +0100
+
+
+$Debian: nmh/debian/changelog,v 1.12 2001/11/10 18:39:17 dsp Exp $
--- nmh-1.5-release.orig/debian/rules
+++ nmh-1.5-release/debian/rules
@@ -0,0 +1,108 @@
+#!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# to get the patch application targets
+include /usr/share/dpatch/dpatch.make
+
+TARGETDIR=./debian/nmh
+
+export DEB_CFLAGS_MAINT_APPEND="-Wall"
+export CFLAGS:= -Wall $(shell  dpkg-buildflags --get CFLAGS)
+export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+INSTALL = install
+INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
+INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
+INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
+
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+	INSTALL_PROGRAM += -s
+endif
+
+build-stamp: 
+	dh_testdir
+	./configure \
+	  --prefix=                              \
+	  --bindir='$${prefix}/usr/bin/mh'       \
+	  --sysconfdir='$${prefix}/etc/nmh'      \
+	  --libdir='$${prefix}/usr/lib/mh'       \
+	  --mandir='$${prefix}/usr/share/man'    \
+	  --docdir='$${prefix}/usr/share/doc/nmh' \
+	  --with-tls \
+	  --with-editor=/usr/bin/sensible-editor \
+	  --with-pager=/usr/bin/sensible-pager	 \
+	  --with-mts=sendmail                  	 \
+	  --with-cyrus-sasl \
+	  --enable-pop                           \
+	  --enable-apop      
+	$(MAKE) sendmailpath=/usr/sbin/sendmail
+	touch build-stamp                    	
+
+build: patch build-stamp
+build-arch: build
+build-indep:
+
+clean: unpatch
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+	[ ! -f Makefile ] || $(MAKE) distclean
+	# generated file shouldn't end up in the debian diff
+	rm -f sbr/dtimep.c
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_prep
+	dh_installdirs
+	make install prefix=$(TARGETDIR)
+
+# run the check *after* putting everything in its place,
+# so that the required components and other files are found 
+# by the tests.
+	[ -n "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ] || $(MAKE) check
+
+# upstream install file isn't wanted
+	rm -f $(TARGETDIR)/usr/share/doc/nmh/INSTALL
+
+# now install the mime-support-aware mhn.defaults
+	$(INSTALL_FILE) debian/mhn.defaults $(TARGETDIR)/etc/nmh/
+
+# install bash-completions
+	$(INSTALL_FILE) debian/nmh.bash_completions $(TARGETDIR)/etc/bash_completion.d/nmh
+
+# don't want to fiddle with makefile.in too much, so i fix things here:
+# install-mh manpage is in wrong section
+	mv $(TARGETDIR)/usr/share/man/man1/install-mh.1 $(TARGETDIR)/usr/share/man/man8/install-mh.8
+# nmh and mh-chart should go into section 7
+	mv $(TARGETDIR)/usr/share/man/man1/nmh.1 $(TARGETDIR)/usr/share/man/man7/nmh.7
+	mv $(TARGETDIR)/usr/share/man/man1/mh-chart.1 $(TARGETDIR)/usr/share/man/man7/mh-chart.7
+
+
+binary-indep: build install
+# nothing to do
+
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installchangelogs ChangeLog
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary:	binary-arch
+
+.PHONY: configure build clean install binary binary-arch binary-indep
--- nmh-1.5-release.orig/debian/copyright
+++ nmh-1.5-release/debian/copyright
@@ -0,0 +1,42 @@
+This is the Debian GNU/Linux prepackaged version of nmh, an electronic mail
+handling system. 
+
+This package was put together by Philip Hands <phil@hands.com> on 26 April
+1997.  On 10 April 1998 Ruud de Rooij <ruud@debian.org> took over the
+package and maintained it until 10 November 2001.  Doug Porter
+<dsp@debian.org> maintained it until it was adopted by Nick Rusnov 
+<nickrusnov@debian.org>
+
+The sources were obtained from: http://nmh.nongnu.org/ 
+
+Copyright (c) 2002, the authors of nmh
+All rights reserved.
+
+Definition: The "authors of nmh" includes anyone, past or present, who has
+worked on the nmh source code.
+
+Redistribution and use in source and binary forms, with or without modification,
+are permitted provided that the following conditions are met:
+
+* Redistributions of source code must retain the above copyright notice, this
+  list of conditions and the following disclaimer.
+
+* Redistributions in binary form must reproduce the above copyright notice, this
+  list of conditions and the following disclaimer in the documentation and/or
+  other materials provided with the distribution.
+  
+* Neither the name "the authors of nmh", nor variations such as "The nmh
+  Developers", nor the names of the individual contributors may be used to
+  endorse or promote products derived from this software without specific prior
+  written permission.
+
+THIS SOFTWARE IS PROVIDED BY ITS AUTHORS ``AS IS'' AND ANY EXPRESS OR IMPLIED
+WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+EVENT SHALL THE AUTHORS OF NMH BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
+IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
+OF SUCH DAMAGE.
--- nmh-1.5-release.orig/debian/NEWS
+++ nmh-1.5-release/debian/NEWS
@@ -0,0 +1,21 @@
+nmh (1.5-RC3-0.1) unstable; urgency=low
+
+  * nmh 1.5 includes many bug fixes and enhancements, most of which was done in a
+    backwards-compatible fashion. The NEWS document /usr/share/doc/nmh/NEWS 
+    describes the changes in detail; here is an overview.
+     
+  * No more masquerade
+    masquerade support has been removed completely, 'masquerade:' entries in your /etc/nmh/mts.conf 
+    no longer have any effect, and nmh uses whatever your draft 
+    contains (same as 'masquerade: draft_from' for older versions).
+    The other two masquerade options can be emulated via suitable components files.
+  
+    as a consequence, drafts now must contain a From: header.
+  
+  * components cleaned up and enhanced
+    /usr/share/doc/nmh/README-components documents the new capabilities.
+  
+  * post now supports TLS and this version is compiled with support for it.
+    
+ -- Alexander Zangerl <az@debian.org>  Sun, 10 Jun 2012 15:36:40 +1000
+
--- nmh-1.5-release.orig/debian/mhn.defaults
+++ nmh-1.5-release/debian/mhn.defaults
@@ -0,0 +1,70 @@
+mhshow-show-application: run-mailcap --action=view 'application/%s:%F'
+mhshow-show-text: run-mailcap --action=view 'text/%s:%F'
+mhshow-show-audio: run-mailcap --action=view 'audio/%s:%F'
+mhshow-show-image: run-mailcap --action=view 'image/%s:%F'
+mhshow-show-message: run-mailcap --action=view 'message/%s:%F'
+mhshow-show-video: run-mailcap --action=view 'video/%s:%F'
+mhshow-suffix-application/msword: .doc
+mhshow-suffix-application/msword: .docx
+mhshow-suffix-application/ogg: .ogg
+mhshow-suffix-application/pdf: .pdf
+mhshow-suffix-application/postscript: .ps
+mhshow-suffix-application/rtf: .rtf
+mhshow-suffix-application/vnd.ms-excel: .xla
+mhshow-suffix-application/vnd.ms-excel: .xlc
+mhshow-suffix-application/vnd.ms-excel: .xld
+mhshow-suffix-application/vnd.ms-excel: .xll
+mhshow-suffix-application/vnd.ms-excel: .xlm
+mhshow-suffix-application/vnd.ms-excel: .xls
+mhshow-suffix-application/vnd.ms-excel: .xlt
+mhshow-suffix-application/vnd.ms-excel: .xlw
+mhshow-suffix-application/vnd.ms-powerpoint: .pot
+mhshow-suffix-application/vnd.ms-powerpoint: .pps
+mhshow-suffix-application/vnd.ms-powerpoint: .ppt
+mhshow-suffix-application/vnd.ms-powerpoint: .ppz
+mhshow-suffix-application/x-bzip2: .bz2
+mhshow-suffix-application/x-cpio: .cpio
+mhshow-suffix-application/x-dvi: .dvi
+mhshow-suffix-application/x-gzip: .gz
+mhshow-suffix-application/x-java-archive: .jar
+mhshow-suffix-application/x-javascript: .js
+mhshow-suffix-application/x-latex: .latex
+mhshow-suffix-application/x-sh: .sh
+mhshow-suffix-application/x-tar: .tar
+mhshow-suffix-application/x-tex: .tex
+mhshow-suffix-application/x-texinfo: .texinfo
+mhshow-suffix-application/x-troff-man: .man
+mhshow-suffix-application/x-troff-me: .me
+mhshow-suffix-application/x-troff-ms: .ms
+mhshow-suffix-application/x-troff: .t
+mhshow-suffix-application/zip: .zip
+mhshow-suffix-audio/basic: .au
+mhshow-suffix-audio/midi: .midi
+mhshow-suffix-audio/mpeg: .mp3
+mhshow-suffix-audio/mpeg: .mpg
+mhshow-suffix-audio/x-ms-wma: .wma
+mhshow-suffix-audio/x-wav: .wav
+mhshow-suffix-image/gif: .gif
+mhshow-suffix-image/jpeg: .jpeg
+mhshow-suffix-image/jpeg: .jpg
+mhshow-suffix-image/png: .png
+mhshow-suffix-image/tiff: .tif
+mhshow-suffix-image/tiff: .tiff
+mhshow-suffix-text/calendar: .ics
+mhshow-suffix-text/css: .css
+mhshow-suffix-text/html: .html
+mhshow-suffix-text/rtf: .rtf
+mhshow-suffix-text/sgml: .sgml
+mhshow-suffix-text/xml: .xml
+mhshow-suffix-video/mpeg: .mpeg
+mhshow-suffix-video/mpeg: .mpg
+mhshow-suffix-video/quicktime: .moov
+mhshow-suffix-video/quicktime: .mov
+mhshow-suffix-video/quicktime: .qt
+mhshow-suffix-video/quicktime: .qtvr
+mhshow-suffix-video/x-ms-wmv: .wmv
+mhshow-suffix-video/x-msvideo: .avi
+mhstore-store-application/PostScript: %m%P.ps
+mhstore-store-text/richtext: %m%P.rtf
+mhstore-store-text: %m%P.txt
+mhstore-store-video/mpeg: %m%P.mpg
--- nmh-1.5-release.orig/debian/nmh.dirs
+++ nmh-1.5-release/debian/nmh.dirs
@@ -0,0 +1,2 @@
+/etc/bash_completion.d/
+/usr/share/man/man7/
\ No newline at end of file
--- nmh-1.5-release.orig/debian/README.source
+++ nmh-1.5-release/debian/README.source
@@ -0,0 +1,38 @@
+This package uses dpatch to manage all modifications to the upstream
+source. Changes are stored in the source package as diffs in
+debian/patches and applied during the build.
+
+To get the fully patched source after unpacking the source package, cd
+to the root level of the source package and run:
+
+    debian/rules patch
+
+Removing a patch is as simple as removing its entry from the
+debian/patches/00list file, and please also remove the patch file
+itself.
+
+Creating a new patch is done with "dpatch-edit-patch patch XX_patchname"
+where you should replace XX with a new number and patchname with a
+descriptive shortname of the patch. You can then simply edit all the
+files your patch wants to edit, and then simply "exit 0" from the shell
+to actually create the patch file.
+
+To tweak an already existing patch, call "dpatch-edit-patch XX_patchname"
+and replace XX_patchname with the actual filename from debian/patches
+you want to use.
+
+To clean up afterwards again, "debian/rules unpatch" will do the
+work for you - or you can of course choose to call
+"fakeroot debian/rules clean" all together.
+
+
+--- 
+
+this documentation is part of dpatch package, and may be used by
+packages using dpatch to comply with policy on README.source. This
+documentation is meant to be useful to users who are not proficient in
+dpatch in doing work with dpatch-based packages. Please send any
+improvements to the BTS of dpatch package.
+
+original text by Gerfried Fuchs, edited by Junichi Uekawa <dancer@debian.org>
+10 Aug 2008.
--- nmh-1.5-release.orig/debian/nmh.bash_completions
+++ nmh-1.5-release/debian/nmh.bash_completions
@@ -0,0 +1,165 @@
+# Debian GNU/Linux nmh (1) completion.
+# Copyright 2003 "Wade Richards" <wade@wabyn.net>
+# Permission granted to redistribute under the BSD license
+
+have show &&
+_nmh()
+{
+    # args: command comp-word prev-word
+    local command current prev folder origfolder i orig_opts
+
+    COMPREPLY=()
+    current=${COMP_WORDS[COMP_CWORD]}
+    prev=${COMP_WORDS[COMP_CWORD-1]}
+    command=$1
+
+    orig_opts=$(shopt -p extglob) 
+    shopt -s extglob
+
+    # Get the folder, if specified
+    for (( i=0; i < ${#COMP_WORDS}-1; i++ ))
+    do
+        case "${COMP_WORDS[i]}" in
+        \++([a-zA-Z_]) )
+            folder=${COMP_WORDS[i]} 
+            origfolder=$( folder -f )
+            ;;
+        esac
+    done
+
+    case $current in 
+    -* ) 
+        # Command-line switches for the most common commands.
+        case $command in
+        ali ) 
+            # no sequences or messages
+            options=(-alias -list -nolist -normalize -nonormalize -user
+                    -nouser -version -help)
+            ;;
+        burst ) 
+            options=(-inplace -noinplace -quiet -noquiet -verbose
+                    -noverbose -version -help)
+            ;;
+        comp )
+            options=(-form -use -nouse -file -draftfolder -draftmessage
+                    -nodraftfolder -editor -noedit -whatnowproc -nowhatnowproc
+                    -version -help )
+           ;; 
+        flist* )
+            options=(-sequence -all -noall -showzero -noshowzero
+                    -recurse -norecurse -fast -nofast -alpha -noalpha -version
+                    -help)
+            ;;
+        folder* )
+            options=(-all -noall -create -nocreate -fast -nofast -header
+                    -noheader -recurse -norecurse -total -nototal -list -nolist
+                    -push -pop -pack -nopack -print -verbose -noverbose -version
+                    -help)
+            ;;
+        forw )
+            options=(-annotate -noannotate -form -format -noformat
+                    -filter -inplace -noinplace -mime -nomime -draftfolder
+                    -draftmessage -nodraftfolder -editor -noedit -whatnowproc
+                    -nowhatnowproc -dashstuffing -nodashstuffing -build -file
+                    -version -help)
+            ;;
+        inc )
+            options=(-audit -noaudit -changecur -nochangecur -form -format
+                    -file -silent -nosilent -truncate -notruncate -width -host
+                    -user -pack -nopack -apop -noapop -kpop -sasl -saslmech -snoop
+                    -version -help)
+            ;;
+        mark )
+            options=(-sequence -add -delete -list -public -nopublic
+                    -zero -nozero -version -help)
+            ;;
+        next )
+            options=(-showmimeproc -header -noheader -checkmime
+                    -nocheckmime -version -help)
+            ;;
+        packf )
+            options=(-file -mbox -mmdf -version -help)
+            ;;
+        pick )
+            options=(-and -or -not -lbrace -rbrace --component -cc
+                    -date -from -search -subject -to -after -before -datefield
+                    -sequence -public -nopublic -zero -nozero -list -nolist
+                    -version -help)
+            ;;
+        prev )
+            options=(-showproc -showmimeproc -header -noheader -checkmime
+                    -nocheckmime -version -help)
+            ;;
+        refile )
+            options=(-draft -link -nolink -preserve -nopreserve -unlink
+                    -nounlink -src -file -rmmproc -normmproc -version -help)
+            ;;
+        repl )
+            options=(-annotate -noannotate -group -nogroup -cc
+                    -nocc -query -noquery -form -format -noformat -filter
+                    -inplace -noinplace -mime -nomime -fcc -width -draftfolder
+                    -draftmessage -nodraftfolder -editor -noedit -whatnowproc
+                    -nowhatnowproc -build -file -version -help)
+            ;;
+        rmf )
+            options=(-interactive -nointeractive -version -help)
+            ;;
+        rmm )
+            options=(-link -nolink -version -help)
+            ;;
+        scan )
+            options=(-clear -noclear -form -format -header -noheader
+                    -width -reverse -noreverse -file -version -help )
+            ;;
+        show )
+            options=(-draft -showproc -showmimeproc -header -noheader
+                    -checkmime -nocheckmime -version -help)
+            ;;
+        sortm )
+            options=(-datefield -textfield -notextfield -limit -nolimit
+                    -verbose -noverbose -version -help)
+            ;;
+        whom )
+            options=(-alias -check -nocheck -draft -draftfolder
+                    -draftmessage -nodraftfolder -version -help)
+            ;;
+        * )
+            options=(-help -version -seq)
+            ;;
+        esac
+        ;;
+
+    +* )
+        # Folders
+        options=( $( folder -all -r -fast | grep -v "^\." | sed "s/^/+/" ) )
+        ;;
+
+    +([0-9a-z])-* )
+        # Partial range
+        start=${current/%-*/}
+        options=( $( scan $folder -format "%(msg)" "${start}-last" ) first prev cur next last )
+        options=( ${options[@]//#/${start}-} )
+        ;;
+
+    +([0-9]) )
+        # Message number, or start of range
+        options=( $( scan $folder -format "%(msg)" ) first prev cur next last )
+        options=( ${options[@]} ${options[@]//%/-} )
+        ;;
+
+    [fpcnlu]* )
+        # special message aliases
+        options=( first prev cur next last unseen )
+        ;;
+
+        # What about sequences?  I can't quite see how to get the list of possible sequences, so I
+        # guess the user will have to type them in the old-fashioned way.
+
+    esac
+
+    eval $orig_opts
+
+    COMPREPLY=( $( compgen -W "${options[*]}" -- $current ) )
+    return 0
+}
+[ "$have" ] && complete -F _nmh ali anno burst comp dist flist flists folder folders forw inc mark mhbuild mhl mhlist mhmail mhn mhparam mhpath mhshow mhstore msgchk msh next packf pick prev prompter rcvdist rcvpack rcvstore rcvtty  refile repl rmf rmm scan send sendfiles show slocal sortm whatnow whom 
--- nmh-1.5-release.orig/debian/watch
+++ nmh-1.5-release/debian/watch
@@ -0,0 +1,2 @@
+version=3
+http://download.savannah.gnu.org/releases/nmh/nmh-(.+)\.tar\.gz
--- nmh-1.5-release.orig/debian/source/format
+++ nmh-1.5-release/debian/source/format
@@ -0,0 +1 @@
+1.0
--- nmh-1.5-release.orig/debian/patches/01-man.dpatch
+++ nmh-1.5-release/debian/patches/01-man.dpatch
@@ -0,0 +1,68 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01-man.dpatch by  <az@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: update some man sections to 7 and 8
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/man/install-mh.man nmh-1.5/man/install-mh.man
+--- nmh-1.5~/man/install-mh.man	2012-06-11 00:49:22.000000000 +1000
++++ nmh-1.5/man/install-mh.man	2012-06-12 19:55:33.246988159 +1000
+@@ -1,7 +1,7 @@
+ .\"
+ .\" %nmhwarning%
+ .\"
+-.TH INSTALL-MH %manext1% "%nmhdate%" MH.6.8 [%nmhversion%]
++.TH INSTALL-MH %manext8% "%nmhdate%" MH.6.8 [%nmhversion%]
+ .SH NAME
+ install-mh \- initialize the nmh environment
+ .SH SYNOPSIS
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/man/mh-chart-gen.sh nmh-1.5/man/mh-chart-gen.sh
+--- nmh-1.5~/man/mh-chart-gen.sh	2012-06-11 14:06:19.000000000 +1000
++++ nmh-1.5/man/mh-chart-gen.sh	2012-06-12 19:55:19.664724793 +1000
+@@ -9,7 +9,7 @@
+ .\"
+ .\" %nmhwarning%
+ .\"
+-.TH MH-CHART %manext1% "%nmhdate%" MH.6.8 [%nmhversion%]
++.TH MH-CHART 7 "%nmhdate%" MH.6.8 [%nmhversion%]
+ .SH NAME
+ mh-chart \- Chart of nmh Commands
+ .SH SYNOPSIS
+@@ -34,5 +34,5 @@
+ .ad
+ 
+ .SH "SEE ALSO"
+-nmh(1)
++nmh(7)
+ EOF
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/man/mh-profile.man nmh-1.5/man/mh-profile.man
+--- nmh-1.5~/man/mh-profile.man	2012-06-11 14:06:19.000000000 +1000
++++ nmh-1.5/man/mh-profile.man	2012-06-12 19:55:19.664724793 +1000
+@@ -1001,7 +1001,7 @@
+ .fi
+ 
+ .SH "SEE ALSO"
+-nmh(1), environ(5), mh-sequence(5)
++nmh(7), environ(5), mh-sequence(5)
+ 
+ .SH HISTORY
+ The
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/man/nmh.man nmh-1.5/man/nmh.man
+--- nmh-1.5~/man/nmh.man	2012-06-11 14:06:19.000000000 +1000
++++ nmh-1.5/man/nmh.man	2012-06-12 19:55:19.664724793 +1000
+@@ -1,7 +1,7 @@
+ .\"
+ .\" %nmhwarning%
+ .\"
+-.TH NMH %manext1% "%nmhdate%" MH.6.8 [%nmhversion%]
++.TH NMH 7 "%nmhdate%" MH.6.8 [%nmhversion%]
+ .SH NAME
+ nmh \- new MH message system
+ .SH SYNOPSIS
+@@ -295,4 +295,4 @@
+ Send bug reports and suggestions to
+ .IR nmh-workers@nongnu.org .
+ .SH "SEE ALSO"
+-mh-chart(1)
++mh-chart(7)
--- nmh-1.5-release.orig/debian/patches/03-smtptest.dpatch
+++ nmh-1.5-release/debian/patches/03-smtptest.dpatch
@@ -0,0 +1,32 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 03-smtptest.dpatch by  <az@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: fakesmtp tool doesn't always start fast enough
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5-release~/test/post/test-post-common.sh nmh-1.5-release/test/post/test-post-common.sh
+--- nmh-1.5-release~/test/post/test-post-common.sh	2012-06-14 17:48:54.000000000 +1000
++++ nmh-1.5-release/test/post/test-post-common.sh	2012-06-14 17:49:44.866250109 +1000
+@@ -26,9 +26,18 @@
+ test_post ()
+ { "${MH_OBJ_DIR}/test/fakesmtp" "$1" $localport &
+     pid="$!"
+-
+-    send -draft -server 127.0.0.1 -port $localport || exit 1
+-
++  
++    # The server doesn't always come up fast enough, so sleep and
++    # retry a few times if it fails...
++    status=1
++    for i in 0 1 2 3 4 5 6 7 8 9; do
++        if send -draft -server 127.0.0.1 -port $localport >/dev/null 2>&1; then
++            status=0
++            break
++        fi
++        sleep 1
++    done
++    [ $status -eq 0 ] || exit 1
+     wait ${pid}
+ 
+     #
--- nmh-1.5-release.orig/debian/patches/00list
+++ nmh-1.5-release/debian/patches/00list
@@ -0,0 +1,6 @@
+01-man
+02-maxpathlen
+03-smtptest
+04-wchar
+05-base64-64bit-bigendian
+nmh-mhshow_pager.dpatch
--- nmh-1.5-release.orig/debian/patches/02-maxpathlen.dpatch
+++ nmh-1.5-release/debian/patches/02-maxpathlen.dpatch
@@ -0,0 +1,97 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 02-maxpathlen.dpatch by  <az@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: hurd doesn't have MAXPATHLEN, but not all code uses PATH_MAX
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/uip/inc.c nmh-1.5/uip/inc.c
+--- nmh-1.5~/uip/inc.c	2012-06-11 14:06:19.000000000 +1000
++++ nmh-1.5/uip/inc.c	2012-06-12 20:03:44.034356510 +1000
+@@ -202,7 +202,7 @@
+     struct msgs *mp = NULL;
+     struct stat st, s1;
+     FILE *aud = NULL;
+-    char b[MAXPATHLEN + 1];
++    char b[PATH_MAX + 1];
+     char *maildir_copy = NULL;	/* copy of mail directory because the static gets overwritten */
+ 
+     int nmsgs, nbytes;
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/uip/sendsbr.c nmh-1.5/uip/sendsbr.c
+--- nmh-1.5~/uip/sendsbr.c	2012-06-04 05:37:11.000000000 +1000
++++ nmh-1.5/uip/sendsbr.c	2012-06-12 20:04:04.840227256 +1000
+@@ -35,8 +35,8 @@
+ 
+ static jmp_buf env;
+ 
+-static	char	body_file_name[MAXPATHLEN + 1];		/* name of temporary file for body content */
+-static	char	composition_file_name[MAXPATHLEN + 1];	/* name of mhbuild composition temporary file */
++static	char	body_file_name[PATH_MAX + 1];		/* name of temporary file for body content */
++static	char	composition_file_name[PATH_MAX + 1];	/* name of mhbuild composition temporary file */
+ static	int	field_size;				/* size of header field buffer */
+ static	char	*field;					/* header field buffer */
+ static	FILE	*draft_file;				/* draft file pointer */
+@@ -186,7 +186,7 @@
+ attach(char *attachment_header_field_name, char *draft_file_name,
+        int attachformat)
+ {
+-    char		buf[MAXPATHLEN + 6];	/* miscellaneous buffer */
++    char		buf[PATH_MAX + 6];	/* miscellaneous buffer */
+     int			c;			/* current character for body copy */
+     int			has_attachment;		/* draft has at least one attachment */
+     int			has_body;		/* draft has a message body */
+@@ -386,7 +386,7 @@
+ {
+     int			binary;			/* binary character found flag */
+     int			c;			/* current character */
+-    char		cmd[MAXPATHLEN + 6];	/* file command buffer */
++    char		cmd[PATH_MAX + 6];	/* file command buffer */
+     char		*content_type;		/* mime content type */
+     FILE		*fp;			/* content and pipe file pointer */
+     struct	node	*np;			/* context scan node pointer */
+@@ -456,7 +456,7 @@
+         (void)fprintf(composition_file, "#%s; name=\"%s\"; x-unix-mode=0%.3ho",
+             content_type, ((p = strrchr(file_name, '/')) == (char *)0) ? file_name : p + 1, (unsigned short)(st.st_mode & 0777));
+ 
+-        if (strlen(file_name) > MAXPATHLEN) {
++        if (strlen(file_name) > PATH_MAX) {
+             clean_up_temporary_files();
+             adios((char *)0, "attachment file name `%s' too long.", file_name);
+         }
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/uip/sortm.c nmh-1.5/uip/sortm.c
+--- nmh-1.5~/uip/sortm.c	2012-06-11 14:06:19.000000000 +1000
++++ nmh-1.5/uip/sortm.c	2012-06-12 20:04:09.675964796 +1000
+@@ -492,7 +492,7 @@
+ {
+     int nxt, old, new;
+     char *newname, oldname[BUFSIZ];
+-    char newbuf[MAXPATHLEN + 1];
++    char newbuf[PATH_MAX + 1];
+ 
+     for (;;) {
+ 	nxt = mlist[msg] - smsgs;	/* mlist[msg] is a ptr into smsgs */
+@@ -530,7 +530,7 @@
+     int i, j, old, new;
+     seqset_t tmpset;
+     char f1[BUFSIZ], tmpfil[BUFSIZ];
+-    char newbuf[MAXPATHLEN + 1];
++    char newbuf[PATH_MAX + 1];
+     struct smsg *sp;
+ 
+     strncpy (tmpfil, m_name (mp->hghmsg + 1), sizeof(tmpfil));
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5~/uip/whatnowsbr.c nmh-1.5/uip/whatnowsbr.c
+--- nmh-1.5~/uip/whatnowsbr.c	2012-06-11 14:06:19.000000000 +1000
++++ nmh-1.5/uip/whatnowsbr.c	2012-06-12 20:03:54.316798423 +1000
+@@ -141,9 +141,9 @@
+     char **argp, **arguments;
+     struct stat st;
+     char	*attach = NMH_ATTACH_HEADER;/* attachment header field name */
+-    char	cwd[MAXPATHLEN + 1];	/* current working directory */
+-    char	file[MAXPATHLEN + 1];	/* file name buffer */
+-    char	shell[MAXPATHLEN + 1];	/* shell response buffer */
++    char	cwd[PATH_MAX + 1];	/* current working directory */
++    char	file[PATH_MAX + 1];	/* file name buffer */
++    char	shell[PATH_MAX + 1];	/* shell response buffer */
+     FILE	*f;			/* read pointer for bgnd proc */
+     char	*l;			/* set on -l to alist  command */
+     int		n;			/* set on -n to alist command */
--- nmh-1.5-release.orig/debian/patches/05-base64-64bit-bigendian.dpatch
+++ nmh-1.5-release/debian/patches/05-base64-64bit-bigendian.dpatch
@@ -0,0 +1,50 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 05-base64-64bit-bigendian.dpatch by  <az@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: homegrown base64 decoder fails on all big-endian and 64-bit architectures (like s390x)
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5-release~/uip/mhparse.c nmh-1.5-release/uip/mhparse.c
+--- nmh-1.5-release~/uip/mhparse.c	2012-06-14 16:35:36.000000000 +1000
++++ nmh-1.5-release/uip/mhparse.c	2012-06-14 16:36:02.322155163 +1000
+@@ -1737,10 +1737,15 @@
+     CE ce;
+     MD5_CTX mdContext;
+ 
++    /* the decoder works on the least-significant three bytes of the bits integer,
++       but their position in memory depend on both endian-ness and size of 
++       long int... for little-endian architectures the size is irrelevant, for
++       big-endian archs it's crucial... ideally we'd adopt posix and use a64l instead
++       of this mess. */
+     b  = (unsigned char *) &bits;
+-    b1 = &b[endian > 0 ? 1 : 2];
+-    b2 = &b[endian > 0 ? 2 : 1];
+-    b3 = &b[endian > 0 ? 3 : 0];
++    b1 = &b[endian > 0 ? sizeof(bits)==8?5:1 : 2];
++    b2 = &b[endian > 0 ? sizeof(bits)==8?6:2 : 1];
++    b3 = &b[endian > 0 ? sizeof(bits)==8?7:3 : 0];
+ 
+     ce = ct->c_cefile;
+     if (ce->ce_fp) {
+@@ -2825,10 +2830,16 @@
+     unsigned char *dp, value, *ep;
+     unsigned char *b, *b1, *b2, *b3;
+ 
+-    b  = (unsigned char *) &bits,
+-    b1 = &b[endian > 0 ? 1 : 2],
+-    b2 = &b[endian > 0 ? 2 : 1],
+-    b3 = &b[endian > 0 ? 3 : 0];
++    /* the decoder works on the least-significant three bytes of the bits integer,
++       but their position in memory depend on both endian-ness and size of 
++       long int... for little-endian architectures the size is irrelevant, for
++       big-endian archs it's crucial... ideally we'd adopt posix and use a64l instead
++       of this mess. */
++    b  = (unsigned char *) &bits;
++    b1 = &b[endian > 0 ? sizeof(bits)==8?5:1 : 2];
++    b2 = &b[endian > 0 ? sizeof(bits)==8?6:2 : 1];
++    b3 = &b[endian > 0 ? sizeof(bits)==8?7:3 : 0];
++
+     bitno = 18;
+     bits = 0L;
+     skip = 0;
--- nmh-1.5-release.orig/debian/patches/nmh-mhshow_pager.dpatch
+++ nmh-1.5-release/debian/patches/nmh-mhshow_pager.dpatch
@@ -0,0 +1,154 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+# Subject: Wrap moreproc around as much MIME content as possible
+# Origin: http://debathena.mit.edu/trac/changeset/13008
+# Forwarded: no
+# Author: Daniel Winship <danw@mit.edu>
+# Reviewed-by: Evan Broder <broder@mit.edu>
+
+@DPATCH@
+
+--- a/uip/mhshowsbr.c.orig	2003-09-30 12:58:43.000000000 -0400
++++ b/uip/mhshowsbr.c	2010-06-25 20:43:59.000000000 -0400
+@@ -47,7 +47,7 @@
+ int nomore   = 0;
+ char *formsw = NULL;
+ 
+-pid_t xpid = 0;
++pid_t xpid = 0, m_pid = 0;
+ 
+ static sigjmp_buf intrenv;
+ 
+@@ -90,6 +90,8 @@
+ static int show_partial (CT, int, int);
+ static int show_external (CT, int, int);
+ static RETSIGTYPE intrser (int);
++static void m_popen (char *);
++static void m_pclose (void);
+ 
+ 
+ /*
+@@ -143,6 +145,9 @@
+      * the viewer (e.g., lynx) are going to be accessible */
+     umask (ct->c_umask & ~(0100));
+ 
++    if (!nomore && isatty (fileno (stdout)))
++	m_popen (progsw ? progsw : moreproc);
++
+     /*
+      * If you have a format file, then display
+      * the message headers.
+@@ -170,6 +175,8 @@
+     sigaddset (&set, SIGTERM);
+     SIGPROCMASK (SIG_BLOCK, &set, &oset);
+ 
++    m_pclose ();
++
+     while (wait (&status) != NOTOK) {
+ #ifdef WAITINT
+ 	pidcheck (status);
+@@ -203,18 +210,8 @@
+     vec[vecp++] = "-form";
+     vec[vecp++] = form;
+     vec[vecp++] = "-nobody";
++    vec[vecp++] = "-nomoreproc";
+     vec[vecp++] = ct->c_file;
+-
+-    /*
+-     * If we've specified -(no)moreproc,
+-     * then just pass that along.
+-     */
+-    if (nomore) {
+-	vec[vecp++] = "-nomoreproc";
+-    } else if (progsw) {
+-	vec[vecp++] = "-moreproc";
+-	vec[vecp++] = progsw;
+-    }
+     vec[vecp] = NULL;
+ 
+     fflush (stdout);
+@@ -546,6 +543,9 @@
+ 	xpid = 0;
+     }
+ 
++    if (xstdin && m_pid)
++	m_pclose ();
++
+     if (xlist) {
+ 	char prompt[BUFSIZ];
+ 
+@@ -647,8 +647,7 @@
+      * if it is not a text part of a multipart/alternative
+      */
+     if (!alternate || ct->c_subtype == TEXT_PLAIN) {
+-	snprintf (buffer, sizeof(buffer), "%%p%s '%%F'", progsw ? progsw :
+-		moreproc && *moreproc ? moreproc : "more");
++	snprintf (buffer, sizeof(buffer), "%%ecat '%%f'");
+ 	cp = (ct->c_showproc = add (buffer, NULL));
+ 	return show_content_aux (ct, serial, alternate, cp, NULL);
+     }
+@@ -1121,3 +1120,65 @@
+     putchar ('\n');
+     siglongjmp (intrenv, DONE);
+ }
++
++static  int sd = NOTOK;
++
++static void
++m_popen (char *name)
++{
++    int pd[2];
++
++    if ((sd = dup (fileno (stdout))) == NOTOK)
++	adios ("standard output", "unable to dup()");
++
++    if (pipe (pd) == NOTOK)
++	adios ("pipe", "unable to");
++
++    switch (m_pid = vfork ()) {
++	case NOTOK: 
++	    adios ("fork", "unable to");
++
++	case OK: 
++	    SIGNAL (SIGINT, SIG_DFL);
++	    SIGNAL (SIGQUIT, SIG_DFL);
++
++	    close (pd[1]);
++	    if (pd[0] != fileno (stdin)) {
++		dup2 (pd[0], fileno (stdin));
++		close (pd[0]);
++	    }
++	    execlp (name, r1bindex (name, '/'), NULL);
++	    fprintf (stderr, "unable to exec ");
++	    perror (name);
++	    _exit (-1);
++
++	default: 
++	    close (pd[0]);
++	    if (pd[1] != fileno (stdout)) {
++		dup2 (pd[1], fileno (stdout));
++		close (pd[1]);
++	    }
++    }
++}
++
++
++void
++m_pclose (void)
++{
++    if (!m_pid)
++	return;
++
++    if (sd != NOTOK) {
++	if (dup2 (sd, fileno (stdout)) == NOTOK)
++	    adios ("standard output", "unable to dup2()");
++
++	clearerr (stdout);
++	close (sd);
++	sd = NOTOK;
++    }
++    else
++	fclose (stdout);
++
++    pidwait (m_pid, OK);
++    m_pid = 0;
++}
--- nmh-1.5-release.orig/debian/patches/04-wchar.dpatch
+++ nmh-1.5-release/debian/patches/04-wchar.dpatch
@@ -0,0 +1,18 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 04-wchar.dpatch by  <az@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: wcswidth is only exported if _XOPEN_SOURCE is defined
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' nmh-1.5-release~/sbr/fmt_scan.c nmh-1.5-release/sbr/fmt_scan.c
+--- nmh-1.5-release~/sbr/fmt_scan.c	2012-06-11 14:06:19.000000000 +1000
++++ nmh-1.5-release/sbr/fmt_scan.c	2012-06-14 11:29:01.118054316 +1000
+@@ -21,6 +21,7 @@
+ #endif
+ #include <time.h>
+ #ifdef MULTIBYTE_SUPPORT
++#define _XOPEN_SOURCE
+ #  include <wctype.h>
+ #  include <wchar.h>
+ #endif
